
/*
 * Test Program for NORVI IIOT V2.0
 * Use appropriate libraries supplied.
 * All Outputs should be on when turned on Supplying power to inputs should turn on Relays.
 * Display shows ADC values from Buit-in buttons. Pressing Built-in buttons should change Value displayed on Display
 *   
 * 
 */


#include "SSD1306.h" // alias for `#include "SSD1306Wire.h"`


SSD1306  display(0x3C, 16, 17);
//IOTAppStory IAS(COMPDATE, MODEBUTTON);	// Initialize IotAppStory

#define ANALOG_PIN_0 36
int analog_value = 0;

int readLightSensor(){
  analog_value = analogRead(ANALOG_PIN_0);
  return analog_value                                                                                                ; //Read analog
}

unsigned int keyval=0;
String adcString;

// ================================================ SETUP ================================================
void setup() {
  
  display.init();
  display.flipScreenVertically();
  display.setFont(ArialMT_Plain_10);
  
  display.drawString(0, 0, "Hello World");
  display.display();
    
  pinMode(12, OUTPUT);
  pinMode(13, OUTPUT);
  pinMode(14, OUTPUT);
  pinMode(15, OUTPUT);
  
  pinMode(2, OUTPUT);
  pinMode(33, OUTPUT);
  pinMode(26, OUTPUT);
  pinMode(27, OUTPUT);

  pinMode(18, INPUT);
  pinMode(39, INPUT);
  pinMode(34, INPUT);
  pinMode(35, INPUT);
  pinMode(19, INPUT);
  pinMode(21, INPUT);
  pinMode(22, INPUT);
  pinMode(23, INPUT);
  pinMode(36, INPUT);

  
  
}




void loop() {

  digitalWrite(14, digitalRead(18));   // turn the LED on (HIGH is the voltage level)
  digitalWrite(12, digitalRead(39));   // turn the LED on (HIGH is the voltage level)
  digitalWrite(13, digitalRead(34));    // turn the LED on (HIGH is the voltage level)
  digitalWrite(15, digitalRead(35));    // turn the LED on (HIGH is the voltage level)
  digitalWrite(2, digitalRead(19));    // turn the LED on (HIGH is the voltage level)
  digitalWrite(33, digitalRead(21));   // turn the LED on (HIGH is the voltage level)
  digitalWrite(26, digitalRead(22));    // turn the LED on (HIGH is the voltage level)
  digitalWrite(27, digitalRead(23));   // turn the LED on (HIGH is the voltage level)
  
  display.clear();
  adcString = String(readLightSensor());
  display.drawString(0, 0, adcString);
  display.display();
   
  delay(200); 
  

}
